'use strict';

var React = require('react');
var DataList_utils = require('./DataList.utils-cjs.js');
var DataListContext = require('./DataListContext-cjs.js');

// This component is meant to capture the props of the DataList.Filters
// eslint-disable-next-line @typescript-eslint/no-unused-vars
function DataListStatusBar(_) {
    return null;
}
/**
 * Renders the DataList.StatusBar component
 */
function InternalDataListStatusBar() {
    const { children: parentChildren } = DataListContext.useDataListContext();
    const component = DataList_utils.getCompoundComponent(parentChildren, DataListStatusBar);
    if (!component)
        return null;
    const children = component === null || component === void 0 ? void 0 : component.props.children;
    return React.createElement(React.Fragment, null, children);
}

exports.DataListStatusBar = DataListStatusBar;
exports.InternalDataListStatusBar = InternalDataListStatusBar;
